#!/usr/bin/env python
    
# example base.py
import pygtk
pygtk.require('2.0')
import mounts
import gtk
import common
import time
import zaber  
import sys	
import arrows


class Base(picoLowLevel.PicoControl):
	
	# End program on close
	def delete_event(self, widget,event, data=None):	#Starts the definition for function that closes program	
		print "delete event occurred"			#Prints out a notification to command window
		self.window.destroy()				#Closes the open window of the main program
		return False					#Returning false does something, pygtk told me to do it

	def destroy(self, widget, data=None):			#Starts another function for closing the program
		print "destroy signal occurred"			#Again prints out a notification to command window
		gtk.main_quit					#Quits the underlieing gtk program
		self.window.destroy()				#Closes the open window of the main program
		sys.exit()					#End-all quit line, shuts down all running code of program
		return False					#Again, not sure, just doing what I was told
	
	def __init__(self):					#Here begins the main code for the GUI window
		self.firsttime = True				#Flag variable used in opening the control panel on the GUI
		self.count = 1					#Count variable used later.

		# Start GUI Assembly
		self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)		#Creates new window for GUI and places it on top of the screen
		self.window.set_title("Zaber Linear Actuator Command")	#Sets Window Title
		self.window.connect("delete_event", self.delete_event)	#Connects the x in corner of window to program ending function
		self.window.connect("destroy", self.destroy)		#Connects the x in corner of window to program ending function
		self.window.set_border_width(10)			#Sets the border width of the window
		
		table = gtk.Table(2,4 , False)	#Creates new table, 2 rows, 4 columns, False means all the cells do not have to be the 							same size
        	self.window.add(table)		#Adds the new table to the window
		self.window.show()		#Makes the window appear on-screen
		
		# Up Arrow of control panel
		self.table.attach(self.arrow_buttons[2], 2,3,0,1, 0,0,0,0) 		#Attaches arrow button to control panel
		self.arrow_buttons[2].connect("clicked", self.push_to_move_callback,'up')	#Connects a click to the move callback
		self.arrow_buttons[2].add(self.upblack)						#Adds a black arrow icon to this button
		self.upblack.show()								#Makes the arrow icon visible

		# Down Arrow of control panel
		self.table.attach(self.arrow_buttons[3], 2,3,2,3, 0,0,0,0)		
		self.arrow_buttons[3].connect("clicked", self.push_to_move_callback,'down')
		self.arrow_buttons[3].add(self.downblack)
		self.downblack.show()

	# Create icons for arrows to place on buttons
	def create_arrow_buttons(self):					#Initializes function, no variables passed in
		arrow_buttons = []					#Empty array is created


# following makes everything work, I don't know exactly how they work, but they just do.


	def main(self):
		gtk.main()		

if __name__ == "__main__":
	base=Base()	
	base.main()


