#common.py:
import numarray as na

host  = '192.168.3.136'
port = 60000

status1 = 9
status2 = 9

step = [1,2,3,4,5,6,7,8,9,10,11,12]
beam = [1, 1, 2, 2, 2, 3, 3, 3, 4, 4, 4, 4] # active beam
spot_name =  ['L1', 'R2', 'L2', 'R3', 'R2', 'L3', 'R4', 'R3', 'L4', 'R1', 'R4', 'L1']
spot_quadrant = [2, 1, 4, 1, 1, 1, 4, 1, 3, 3, 4, 2]
position_index = [1, 2, 1, 4, 2, 1, 4, 4, 1, 4, 4, 1] # position within the quadrant
position_name = ['Bottom Left', 'Bottom Right', 'Top Left', 'Top Right'] # spot position description
pico_name = ['Dicroic 1 (or T3H)', 'T2H', 'Dicroic 2 (or T3M)', 'T2M','BC1-2','Dicroic 3 (or T4H)','T1L','BC2-3','Dicroic 4 (T4M)','T2L','BC3-4','BC6-1']
additional_info = ['', '', 'bottom spot', '', '', 'bottom spot','top spot','bottom spot','top spot','top spot','top spot','bottom spot ']

# makes sure these faults match the defaults in ircam commands or there will be
# mismatch between values!
rows = 16
cols = 16
roff = 5   #7
coff = 20  #9

framesPerReset=21
numberOfFrames=42

dataready1 = 0
dataready2 = 0
myArray = na.zeros((rows, cols), type=na.Float32)
fluxArray = na.zeros((12,numberOfFrames), type=na.Float32)
psArray = na.zeros((rows/2, 1+cols/2), type=na.Float32)
fmArray = na.zeros((6,6), type=na.Float32)
#fm peaks: 4 quads (UR,UL,BL,BR), x,y,peak,Fraction in peak,total counts
fmPeaks = na.zeros((4,5), type=na.Float32)

fmFluxArray = na.zeros((100,4),type=na.Float32)

gdtInfo = na.zeros(7, type=na.UInt32)
delayLinesOffsets = na.zeros(6, type=na.Float64)
updatedOffsets = na.zeros(6, type=na.Float64)
weights = na.zeros(6, type=na.Float32)
opds  = na.zeros(6, type=na.Float32)
