import numarray.records as rec
import windowPico

dbg = 0
# 2009Jun04 New version
#Just add a new entry in picoId and windowName to add a pico motor control
#Modify any entry to take into account new parameters: IP, driver, motor, axis...
#50000steps about 2-3/4 turns

picoId = rec.array([('Tower 1 H', 'X', '192.168.6.6', 'CHAMPpicos', 'a1', 0),\
                    ('Tower 1 H', 'Y', '192.168.6.6', 'CHAMPpicos', 'a2', 0),\
                    ('Tower 1 M', 'X', '192.168.6.6', 'CHAMPpicos', 'a1', 1),\
                    ('Tower 1 M', 'Y', '192.168.6.6', 'CHAMPpicos', 'a2', 1),\
		    ('Tower 1 L', 'X', '192.168.6.6', 'CHAMPpicos', 'a1', 2),\
                    ('Tower 1 L', 'Y', '192.168.6.6', 'CHAMPpicos', 'a2', 2),\
 		    ('Tower 2 H', 'X', '192.168.6.6', 'CHAMPpicos', 'a3', 0),\
                    ('Tower 2 H', 'Y', '192.168.6.6', 'CHAMPpicos', 'a4', 0),\
                    ('Tower 2 M', 'X', '192.168.6.6', 'CHAMPpicos', 'a3', 1),\
                    ('Tower 2 M', 'Y', '192.168.6.6', 'CHAMPpicos', 'a4', 1),\
                    ('Tower 2 L', 'X', '192.168.6.6', 'CHAMPpicos', 'a3', 2),\
                    ('Tower 2 L', 'Y', '192.168.6.6', 'CHAMPpicos', 'a4', 2),\
 		    ('Tower 3 H', 'X', '192.168.6.6', 'CHAMPpicos', 'a5', 0),\
                    ('Tower 3 H', 'Y', '192.168.6.6', 'CHAMPpicos', 'a6', 0),\
                    ('Tower 3 M', 'X', '192.168.6.6', 'CHAMPpicos', 'a5', 1),\
                    ('Tower 3 M', 'Y', '192.168.6.6', 'CHAMPpicos', 'a6', 1),\
                    ('Tower 3 L', 'X', '192.168.6.6', 'CHAMPpicos', 'a5', 2),\
                    ('Tower 3 L', 'Y', '192.168.6.6', 'CHAMPpicos', 'a6', 2),\
		    ('Tower 4 H', 'X', '192.168.6.6', 'CHAMPpicos', 'a7', 0),\
                    ('Tower 4 H', 'Y', '192.168.6.6', 'CHAMPpicos', 'a8', 0),\
		    ('Tower 4 M', 'X', '192.168.6.6', 'CHAMPpicos', 'a7', 1),\
                    ('Tower 4 M', 'Y', '192.168.6.6', 'CHAMPpicos', 'a8', 1),\
		    ('Tower 4 L', 'X', '192.168.6.6', 'CHAMPpicos', 'a7', 2),\
                    ('Tower 4 L', 'Y', '192.168.6.6', 'CHAMPpicos', 'a8', 2),\
		    ('BC.6,1', 'X', '192.168.6.6', 'CHAMPpicos', 'a9', 0),\
                    ('BC.6,1', 'Y', '192.168.6.6', 'CHAMPpicos', 'a10', 0),\
                    ('BC.1,2', 'X', '192.168.6.6', 'CHAMPpicos', 'a9', 1),\
                    ('BC.1,2', 'Y', '192.168.6.6', 'CHAMPpicos', 'a10', 1),\
                    ('BC.2,3', 'X', '192.168.6.6', 'CHAMPpicos', 'a9', 2),\
                    ('BC.2,3', 'Y', '192.168.6.6', 'CHAMPpicos', 'a10', 2),\
		    ('BC.3,4', 'X', '192.168.6.6', 'CHAMPpicos', 'a11', 0),\
                    ('BC.3,4', 'Y', '192.168.6.6', 'CHAMPpicos', 'a12', 0),\
		    ('BC.4,5', 'X', '192.168.6.6', 'CHAMPpicos', 'a11', 1),\
                    ('BC.4,5', 'Y', '192.168.6.6', 'CHAMPpicos', 'a12', 1),\
		    ('BC.5,6', 'X', '192.168.6.6', 'CHAMPpicos', 'a11', 2),\
                    ('BC.5,6', 'Y', '192.168.6.6', 'CHAMPpicos', 'a12', 2),\
		    ('Dichroic 1', 'X', '192.168.6.6', 'CHAMPpicos', 'a13', 0),\
                    ('Dichroic 1', 'Y', '192.168.6.6', 'CHAMPpicos', 'a14', 0),\
                    ('Dichroic 2', 'X', '192.168.6.6', 'CHAMPpicos', 'a13', 1),\
                    ('Dichroic 2', 'Y', '192.168.6.6', 'CHAMPpicos', 'a14', 1),\
                    ('Dichroic 3', 'X', '192.168.6.6', 'CHAMPpicos', 'a13', 2),\
                    ('Dichroic 3', 'Y', '192.168.6.6', 'CHAMPpicos', 'a14', 2),\
		    ('Dichroic 4', 'X', '192.168.6.6', 'CHAMPpicos', 'a15', 0),\
                    ('Dichroic 4', 'Y', '192.168.6.6', 'CHAMPpicos', 'a16', 0),\
		    ('Dichroic 5', 'X', '192.168.6.6', 'CHAMPpicos', 'a15', 1),\
                    ('Dichroic 5', 'Y', '192.168.6.6', 'CHAMPpicos', 'a16', 1),\
		    ('Dichroic 6', 'X', '192.168.6.6', 'CHAMPpicos', 'a15', 2),\
                    ('Dichroic 6', 'Y', '192.168.6.6', 'CHAMPpicos', 'a16', 2)],\
                    names='picoId, axis, IP, hostname, driver, motor')

windowName = ['Tower 1H', 'Tower 1M', 'Tower 1L', 'Tower 2H', 'Tower 2M', 'Tower 2L', 'Tower 3H', 'Tower 3M', 'Tower 3L', 'Tower 4H', 'Tower 4M', 'Tower 4L']

location = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]

# Flag Variables Used in Control Program
select_Flag = False
label = "None Selected"
enabled = False
#('V-groove',	'X',            '192.168.3.132', 'mircpico1', 'a1', 2),\
	     
 		   
#format: pico motor's name, axis, IP, hostname, driver, motor
#how to query picoId:

#query field X
#print picoId.field('picoId')
# CharArray(['Z doublet', 'tilt cyl lens', 'Z cyl lens',
#            'tilt aperture array', 'tilt V-groove', 'X V-groove',
#            'tilt V-groove', 'tilt lenslet', 'X spherical mirror',
#            'Y spherical mirror', 'X pick-off 1', 'Y pick-off 1',
#            'X pick-off 2', 'Y pick-off 2', 'X pick-off 3',
#            'Y pick-off 3', 'X pick-off 4', 'Y pick-off 4',
#            'X pick-off 5', 'Y pick-off 5', 'X pick-off 6',
#            'Y pick-off 6'])
#

#query item X
#print picoId[0]
#('Z doublet', '192.168.3.132', 'mircpico1', 'a1', 2)

#query field X for item Y
#print picoId.field('picoId')[0]
#'Z doublet'

#query the item index whose field X is Y
#a, = picoId.field('picoId').search('Z cyl lens')[0]
#print a
#2

#query field X for the item whose field Y is Z
#print picoId.field('motor')[picoId.field('picoId').search('Z cyl lens')[0]][0]
#2 
# item whose field "recField" is "value"
def getIndex(rec, recField, value):
	index, = rec.field(recField).search(value)[0]
	return index

# field "field1" for the item whose field "field2" is "value"
def getFieldValue(rec, recField1, recField2, value):
	res = rec.field(recField1)[rec.field(recField2).search(value)[0]][0]
	return res 
